<ul class="error-container" *ngIf="form.get(property)?.invalid && (form.get(property)?.dirty || form.get(property)?.touched)">
    <li *ngIf="form.get(property)?.errors?.required">{{ texts.required }}</li>
    <li *ngIf="form.get(property)?.errors?.minlength">{{ texts.minLength }}</li>
    <li *ngIf="form.get(property)?.errors?.maxlength">{{ texts.maxLength }}</li>
    <li *ngIf="form.get(property)?.errors?.pattern">{{ texts.pattern }}</li>
    <li *ngIf="form.get(property)?.errors?.parseError">{{ texts.parseError }}</li>
    <li *ngIf="form.get(property)?.errors?.selectNotEquals">{{ texts.selectNotEquals }}</li>
    <li *ngIf="form.get(property)?.errors?.email">{{ texts.email }}</li>
    <li *ngIf="form.get(property)?.errors?.compareValidate">{{ texts.compareValidate }}</li>
    <li *ngIf="form.get(property)?.errors?.patternInvalid">{{ texts.patternInvalid }}</li>
    <li *ngIf="form.get(property)?.errors?.unique">{{ form.get(property)?.errors?.unique?.message }}</li>

</ul>
<!-- <button (click)="debug()">debug</button><br/> -->